Redmine - Defect #25256

Mail parts with empty content should be ignored
2017-03-03 15:34 - Felix Schafer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email receiving Estimated time: 0.00 hour
Target version: 3.4.0

Resolution: Fixed Affected version: 3.3.2
Description

Some email clients seem to send text parts that are empty with html emails. Those empty text parts should be ignored.

Related issues:
Related to Redmine - Defect #25269: Emails with no text or html Content not h... Closed

Associated revisions

Revision 16371 - 2017-03-05 09:41 - Jean-Philippe Lang
Mail parts with empty content should be ignored (#25256).

Patch by Felix Schéfer.

Revision 16379 - 2017-03-07 18:54 - Jean-Philippe Lang
Emails with no text or html Content not handled properly (#25269, #25256).

Patch by Felix Schéfer.

History

#1 - 2017-03-03 15:36 - Felix Schéfer
- File 25256-ignore_empty _email_parts.patch added

The attached patch makes the mail_handler ignore text or html parts that have no meaningful content.

#2 - 2017-03-03 21:27 - Jean-Philippe Lang

- Target version set to 3.4.0

#3 - 2017-03-05 09:41 - Jean-Philippe Lang
- Status changed from New to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch applied, thanks.

#4 - 2017-03-05 10:22 - Felix Schifer
Thank you.

#5 - 2017-03-07 01:03 - Go MAEDA

- Status changed from Closed to Reopened

Fix for this patch has been submitted as #25269.

The change to the handling of incoming emails committed in r16371 and proposed in #25256 unfortunately improperly handles emails with
multipart content but no content in a text or html part of the email. This might be the case if the email is intentionally left blank.
https://www.redmine.org/projects/redmine/repository/svn/revisions/16371
https://www.redmine.org/issues/25256

#6 - 2017-03-07 01:03 - Go MAEDA
- Related to Defect #25269: Emails with no text or html Content not handled properly added

#7 - 2017-03-07 18:54 - Jean-Philippe Lang

- Status changed from Reopened to Closed
Fix applied.

Files
25256-ignore_empty_email_parts.patch 3.54 KB 2017-03-03 Felix Schéafer
